from qutebrowser.config.configfiles import ConfigAPI
from qutebrowser.config.config import ConfigContainer

import sys, os

config = config
c = c

config.set('colors.webpage.darkmode.enabled', False)

config.load_autoconfig()

c.qt.args = ["blink-settings=darkMode=1"]
c.auto_save.session = True

# Bindings
#config.bind('o', 'set-cmd-text -s :open', mode='normal')
#config.bind('O', 'set-cmd-text -s :open {url:pretty}', mode='normal')
#config.bind('w', 'set-cmd-text -s :open -t', mode='normal')
#config.bind('W', 'set-cmd-text -s :open -t {url:pretty}', mode='normal')
#config.bind('Fy', 'hint links yank-primary', mode='normal')
#config.bind('yy', 'yank -s', mode='normal')
config.bind(',vl', 'hint links spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --ytdl-raw-options=format-sort=height:480 {hint-url}', mode='normal')
config.bind(',Vl', 'spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --ytdl-raw-options=format-sort=height:480 {url}', mode='normal')
config.bind(',vh', 'hint links spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --ytdl-raw-options=format-sort=height:1080 {hint-url}', mode='normal')
config.bind(',Vh', 'spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --ytdl-raw-options=format-sort=height:1080 {url}', mode='normal')
config.bind(',a', 'hint links spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --no-video --force-window=yes {hint-url}', mode='normal')
config.bind(',A', 'spawn --detach mpv --script-opts=ytdl_hook-ytdl_path=yt-dlp --no-video --force-window=yes {url}', mode='normal')
#config.unbind('F')
config.bind('<Backspace>', 'back', mode='normal')
config.bind('<Shift-Backspace>', 'forward', mode='normal')
config.bind('<Control-Tab>', 'tab-next', mode='normal')
config.bind('<Control-Shift-Tab>', 'tab-prev', mode='normal')



#Config perso
c.editor.command = ["vim {}"]
c.zoom.default = 100
c.messages.timeout = 10000
c.downloads.remove_finished = 30000
c.content.headers.do_not_track = True
c.completion.height = "33%"
c.tabs.show = "multiple"
#c.tabs.new_position.related = "last"
#c.tabs.tabs_are_windows = True
c.content.javascript.enabled = False
config.set('content.javascript.enabled', True, '*://*.vulgarisons.info')
config.set('content.javascript.enabled', True, '*://mastodon.zaclys.com')
config.set('content.javascript.enabled', True, '*://*.melvoridle.com')
config.set('content.javascript.enabled', True, '*://*.raiffeisen.ch')
config.set('content.javascript.enabled', True, '*://*.cmnet.ch')
config.set('content.javascript.enabled', True, '*://*.inubo.ch')
config.set('content.javascript.enabled', True, '*://*.localhost/*')


c.url.default_page = 'https://searx.info'
c.hints.mode = "number"
c.url.searchengines = {
	'DEFAULT':'https://www.mojeek.com/search?q={}',
	'ddg':'https://duckduckgo.com/?q={}',
#	'yt':'https://youtube.com/results?search_query={}',
	'yt':'https://invidious.fdn.fr/search?q={}',
	'wfr':'https://fr.wikipedia.org/w/index.php?search={}',
	'wen':'https://en.wikipedia.org/w/index.php?search={}',
	'wyen':'https://en.wiktionary.org/w/index.php?search={}',
	'wyfr':'https://fr.wiktionary.org/w/index.php?search={}',
	'imdb':'https://www.imdb.com/find?q={}',
	'mdn':'https://developer.mozilla.org/en-US/search?q={}',
	'deb':'https://tracker.debian.org/pkg/{}',
	'mjk':'https://www.mojeek.com/search?q={}',
	'php':'https://www.php.net/manual-lookup.php?pattern={}&scope=quickref',
	'srx':'https://searx.fmac.xyz/?q={}',
	'12ft':'https://12ft.io/proxy?q={}',
	'osm':'https://www.openstreetmap.org/search?query={}'
}

#Fonts
#c.fonts.statusbar = "17pt monospace"
#c.fonts.downloads = "17pt monospace"
#c.fonts.hints = "18pt monospace"
#c.fonts.keyhint = "17pt monospace"
#c.fonts.messages.error = "17pt monospace"
#c.fonts.messages.info = "17pt monospace"
#c.fonts.messages.warning = "17pt monospace"
#c.fonts.completion.entry = "17pt monospace"
#c.fonts.completion.category = "17pt monospace"
#c.fonts.prompts = "17pt monospace"


try:
	from qutebrowser.api import message
	sys.path.append(os.path.join(sys.path[0], 'jblock'))
	config.source("jblock/jblock/integrations/qutebrowser.py")
except ImportError:
	pass
